# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(HTTP/Request/Common.pm) perl(JSON.pm) perl(LWP/Protocol/https.pm) perl(LWP/Simple.pm) perl(LWP/UserAgent.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Test/Fake/HTTPD.pm) perl(Test/Flatten.pm) perl(Test/More.pm) perl(Test/SharedFork.pm) perl(URI/Escape.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name WWW-Google-ClientLogin
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Yet Another Google ClientLogin Client Library
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/X/XA/XAICRON/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
WWW::Google::ClientLogin is a Google ClientLogin client.

SEE ALSO http://code.google.com/intl/us/apis/accounts/docs/AuthForInstalledApps.html

Why I wrote this module? I know the WWW::Google::Auth::ClientLogin manpage module already exists, but I feel the return value is difficult to use.
I want a response object.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.pod
%perl_vendor_privlib/W*

%changelog
* Mon Sep 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

